Flecs: flecs::term Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::term Struct Referencefinal
C++ API » Core » Queries

Class that describes a term. More...

`#include <impl.hpp>`

Inheritance diagram for flecs::term:
[legend]

## Public Member Functions
| term (flecs::world_t *world_ptr)
| term (flecs::world_t *world_ptr, ecs_term_t t)
| term (flecs::world_t *world_ptr, id_t component_id)
| term (flecs::world_t *world_ptr, entity_t first, entity_t second)
| term (id_t component_id)
| term (id_t first, id_t second)
void | reset ()
bool | is_set ()
flecs::id | id ()
flecs::inout_kind_t | inout ()
flecs::oper_kind_t | oper ()
flecs::entity | get_src ()
flecs::entity | get_first ()
flecs::entity | get_second ()
| operator flecs::term_t () const
Public Member Functions inherited from flecs::term_builder_i< term >
term & | term (id_t id)
term & | src ()
term & | first ()
term & | second ()
term & | up (flecs::entity_t trav=0)
term & | cascade (flecs::entity_t trav=0)
term & | desc ()
term & | parent ()
term & | trav (flecs::entity_t trav, flecs::flags32_t flags=0)
term & | id_flags (id_t flags)
| Set id flags for term.
term & | inout (flecs::inout_kind_t inout)
| Set read/write access of term.
term & | inout_stage (flecs::inout_kind_t inout)
| Set read/write access for stage.
term & | write ()
| Short for inout_stage(flecs::Out).
term & | read ()
| Short for inout_stage(flecs::In).
term & | read_write ()
| Short for inout_stage(flecs::InOut).
term & | in ()
| Short for inout(flecs::In).
term & | out ()
| Short for inout(flecs::Out).
term & | inout_none ()
| Short for inout(flecs::In).
term & | oper (flecs::oper_kind_t oper)
| Set operator of term.
term & | and_ ()
term & | or_ ()
term & | not_ ()
term & | optional ()
term & | and_from ()
term & | or_from ()
term & | not_from ()
term & | filter ()
Public Member Functions inherited from flecs::term_ref_builder_i< term >
term & | self ()
term & | id (flecs::entity_t id)
term & | entity (flecs::entity_t entity)
term & | name (const char *name)
term & | var (const char *var_name)
term & | flags (flecs::flags64_t flags)

## Public Attributes
flecs::term_t | value
Public Attributes inherited from flecs::term_builder_i< term >
ecs_term_t * | term_
Public Attributes inherited from flecs::term_ref_builder_i< term >
ecs_term_ref_t * | term_ref_

## Protected Member Functions
flecs::world_t * | world_v () override
Protected Member Functions inherited from flecs::term_builder_i< term >
void | set_term (ecs_term_t *term)
Protected Member Functions inherited from flecs::term_ref_builder_i< term >
void | assert_term_ref ()

## Detailed Description

Class that describes a term.

Definition at line 16 of file impl.hpp.

## Constructor & Destructor Documentation

## ◆ term() [1/7]

flecs::term::term | ( |  | ) |
| inline

Definition at line 17 of file impl.hpp.

## ◆ term() [2/7]

flecs::term::term | ( | flecs::world_t * | world_ptr | ) |
| inline

Definition at line 22 of file impl.hpp.

## ◆ term() [3/7]

flecs::term::term | ( | flecs::world_t * | world_ptr,
|  | ecs_term_t | t )
| inline

Definition at line 27 of file impl.hpp.

## ◆ term() [4/7]

flecs::term::term | ( | flecs::world_t * | world_ptr,
|  | id_t | component_id )
| inline

Definition at line 35 of file impl.hpp.

## ◆ term() [5/7]

flecs::term::term | ( | flecs::world_t * | world_ptr,
|  | entity_t | first,
|  | entity_t | second )
| inline

Definition at line 47 of file impl.hpp.

## ◆ term() [6/7]

flecs::term::term | ( | id_t | component_id | ) |
| inline

Definition at line 55 of file impl.hpp.

## ◆ term() [7/7]

flecs::term::term | ( | id_t | first,
|  | id_t | second )
| inline

Definition at line 66 of file impl.hpp.

## Member Function Documentation

## ◆ get_first()

flecs::entity flecs::term::get_first | ( |  | ) |
| inline

Definition at line 99 of file impl.hpp.

## ◆ get_second()

flecs::entity flecs::term::get_second | ( |  | ) |
| inline

Definition at line 103 of file impl.hpp.

## ◆ get_src()

flecs::entity flecs::term::get_src | ( |  | ) |
| inline

Definition at line 95 of file impl.hpp.

## ◆ id()

flecs::id flecs::term::id | ( |  | ) |
| inline

Definition at line 83 of file impl.hpp.

## ◆ inout()

flecs::inout_kind_t flecs::term::inout | ( |  | ) |
| inline

Definition at line 87 of file impl.hpp.

## ◆ is_set()

bool flecs::term::is_set | ( |  | ) |
| inline

Definition at line 79 of file impl.hpp.

## ◆ oper()

flecs::oper_kind_t flecs::term::oper | ( |  | ) |
| inline

Definition at line 91 of file impl.hpp.

## ◆ operator flecs::term_t()

flecs::term::operator flecs::term_t | ( |  | ) | const
| inline

Definition at line 107 of file impl.hpp.

## ◆ reset()

void flecs::term::reset | ( |  | ) |
| inline

Definition at line 74 of file impl.hpp.

## ◆ world_v()

flecs::world_t * flecs::term::world_v | ( |  | ) |
| inlineoverrideprotectedvirtual

Implements flecs::term_builder_i< term >.

Definition at line 114 of file impl.hpp.

## Member Data Documentation

## ◆ value

flecs::term_t flecs::term::value

Definition at line 111 of file impl.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/mixins/term/impl.hpp